create a community.
curl --request POST \
--url https://apix.us.amity.co/api/v3/communities \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"displayName": "<string>",
"isPublic": true,
"isOfficial": false,
"onlyAdminCanPost": false,
"description": "<string>",
"tags": [
"<string>"
],
"metadata": {},
"avatarFileId": "<string>",
"userIds": [
"<string>"
],
"categoryIds": [
"<string>"
],
"isUniqueDisplayName": false,
"needApprovalOnPostCreation": false,
"allowCommentInStory": true,
"isDiscoverable": false,
"requiresJoinApproval": false
}
'import requests
url = "https://apix.us.amity.co/api/v3/communities"
payload = {
"displayName": "<string>",
"isPublic": True,
"isOfficial": False,
"onlyAdminCanPost": False,
"description": "<string>",
"tags": ["<string>"],
"metadata": {},
"avatarFileId": "<string>",
"userIds": ["<string>"],
"categoryIds": ["<string>"],
"isUniqueDisplayName": False,
"needApprovalOnPostCreation": False,
"allowCommentInStory": True,
"isDiscoverable": False,
"requiresJoinApproval": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
displayName: '<string>',
isPublic: true,
isOfficial: false,
onlyAdminCanPost: false,
description: '<string>',
tags: ['<string>'],
metadata: {},
avatarFileId: '<string>',
userIds: ['<string>'],
categoryIds: ['<string>'],
isUniqueDisplayName: false,
needApprovalOnPostCreation: false,
allowCommentInStory: true,
isDiscoverable: false,
requiresJoinApproval: false
})
};
fetch('https://apix.us.amity.co/api/v3/communities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"communities": [
{
"communityId": "<string>",
"channelId": "<string>",
"displayName": "<string>",
"_id": "<string>",
"path": "<string>",
"userId": "<string>",
"userPublicId": "<string>",
"userInternalId": "<string>",
"avatarFileId": "<string>",
"description": "<string>",
"isOfficial": true,
"isPublic": true,
"onlyAdminCanPost": true,
"tags": [
"<string>"
],
"metadata": {},
"postsCount": 123,
"membersCount": 123,
"isJoined": true,
"categoryIds": [
"<string>"
],
"isDeleted": false,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"hasFlaggedComment": false,
"hasFlaggedPost": false,
"needApprovalOnPostCreation": false,
"moderatorMemberCount": 123,
"allowCommentInStory": true,
"isDiscoverable": false,
"requiresJoinApproval": false
}
],
"communityUsers": [
{
"userId": "<string>",
"userPublicId": "<string>",
"userInternalId": "<string>",
"channelId": "<string>",
"communityId": "<string>",
"notMemberReason": "<string>",
"isBanned": false,
"lastActivity": "2023-11-07T05:31:56Z",
"roles": [
"<string>"
],
"permissions": [],
"lastJoin": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"files": [
{
"fileId": "<string>",
"fileUrl": "<string>",
"accessType": "public",
"altText": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"attributes": {
"name": "<string>",
"extension": "<string>",
"size": 123,
"mimeType": "<string>",
"metadata": {
"exif": {},
"gps": {},
"height": 123,
"width": 123,
"isFull": true
}
}
}
],
"users": [
{
"userId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"_id": "<string>",
"path": "<string>",
"userInternalId": "<string>",
"userPublicId": "<string>",
"roles": [
"<string>"
],
"permissions": [],
"displayName": "<string>",
"profileHandle": "<string>",
"description": "<string>",
"avatarFileId": "<string>",
"avatarCustomUrl": "<string>",
"flagCount": 123,
"hashFlag": {
"bits": 123,
"hashes": 123,
"hash": [
"<string>"
]
},
"metadata": {},
"isGlobalBan": true,
"isBrand": true,
"isDeleted": true
}
],
"roles": [
{
"roleId": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"permissions": [
"<string>"
],
"isDeleted": false,
"displayName": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}
],
"categories": [
{
"categoryId": "<string>",
"name": "<string>",
"metadata": {},
"avatarFileId": "<string>",
"isDeleted": false,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"feeds": [
{
"targetId": "<string>",
"postCount": 123,
"feedId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
]
}
Community
create a community.
POST
/
api
/
v3
/
communities
create a community.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
information of a community to be created.
Required string length:
1 - 1000Required string length:
1 - 5000Required array length:
1 - 10 elementsRequired string length:
1 - 100Required string length:
1 - 50Required array length:
1 - 1000 elementsRequired string length:
1 - 900Required array length:
1 - 10 elementsRequired string length:
1 - 50Notification Mode:
default- Auto register push notification.silent- Do not send notification.subscribe- Send notification to subscribed users only.
Available options:
default, silent, subscribe - If true, this private community will be discoverable in the query response.
- If false, this private community will not appear in the list but can still be accessed via its ID.
- If true, users will need to be approved by an admin before they can join the community.
- If false, users can join the community without approval.
⌘I